Subject: bug#37530: 26.1; Tack characters translated incorrectly

From: Axel Svensson <[email-masked]>
Date: Fri, 27 Sep 2019 16:57:45 +0200

On Fri, Sep 27, 2019 at 4:19 PM Lars Ingebrigtsen <[email-masked]> wrote:
> #define XKB_KEY_leftanglebracket              0x0abc  /*(U+27E8 MATHEMATICAL LEFT ANGLE BRACKET)*/
> #define XKB_KEY_rightanglebracket             0x0abe  /*(U+27E9 MATHEMATICAL RIGHT ANGLE BRACKET)*/
>
> Does your xkeysyms have this differently?

No, my bad.

In summary, these are the changes I believe should be made:

#define XKB_KEY_Ukrainian_ghe_with_upturn     0x06ad  /* U+0491
CYRILLIC SMALL LETTER GHE WITH UPTURN */
#define XKB_KEY_Ukrainian_GHE_WITH_UPTURN     0x06bd  /* U+0490
CYRILLIC CAPITAL LETTER GHE WITH UPTURN */
#define XKB_KEY_signifblank                   0x0aac  /*(U+2423 OPEN BOX)*/
#define XKB_KEY_leftanglebracket              0x0abc  /*(U+27E8
MATHEMATICAL LEFT ANGLE BRACKET)*/
#define XKB_KEY_decimalpoint                  0x0abd  /*(U+002E FULL STOP)*/
#define XKB_KEY_rightanglebracket             0x0abe  /*(U+27E9
MATHEMATICAL RIGHT ANGLE BRACKET)*/
#define XKB_KEY_permille                      0x0ad5  /* U+2030 PER
MILLE SIGN */
#define XKB_KEY_downtack                      0x0bc2  /* U+22A4 DOWN TACK */
#define XKB_KEY_uptack                        0x0bce  /* U+22A5 UP TACK */
#define XKB_KEY_lefttack                      0x0bdc  /* U+22A3 LEFT TACK */
#define XKB_KEY_righttack                     0x0bfc  /* U+22A2 RIGHT TACK */

Also, I found another discrepancy that seems like an error on XKB side:

#define XKB_KEY_approxeq                   0x1002248  /* U+2245 ALMOST
EQUAL TO */